Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IAnimationEndCallBack Class Reference

Callback interface for catching events of ended animations. More...

`#include <IAnimatedMeshSceneNode.h>`

Inheritance diagram for irr::scene::IAnimationEndCallBack:

List of all members.

## Public Member Functions

virtual void | OnAnimationEnd (IAnimatedMeshSceneNode *node)=0
| Will be called when the animation playback has ended.

## Detailed Description

Callback interface for catching events of ended animations.

Implement this interface and use IAnimatedMeshSceneNode::setAnimationEndCallback to be able to be notified if an animation playback has ended.

Definition at line 35 of file IAnimatedMeshSceneNode.h.

## Member Function Documentation

virtual void irr::scene::IAnimationEndCallBack::OnAnimationEnd | ( | IAnimatedMeshSceneNode * | node | ) | `[pure virtual]`

Will be called when the animation playback has ended.

See IAnimatedMeshSceneNode::setAnimationEndCallback for more informations.

Parameters:

  | node,: | Node of which the animation has ended.

The documentation for this class was generated from the following file:

- IAnimatedMeshSceneNode.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)